Bug 1564719 - hinting of "ti" ligature does not match other letters, x-height is slightly too low
Summary: hinting of "ti" ligature does not match other letters, x-height is slightly t...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: lato-fonts
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mohamed El Morabity
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-07 02:31 UTC by Dan Callaghan
Modified: 2018-11-30 20:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 20:51:37 UTC
Type: Bug


Attachments (Terms of Use)
screenshot (3.27 KB, image/png)
2018-04-07 02:31 UTC, Dan Callaghan
no flags Details

Description Dan Callaghan 2018-04-07 02:31:24 UTC
Created attachment 1418442 [details]
screenshot

I noticed this after upgrading Fedora 26->27, specifically from:

freetype-2.7.1-10.fc26.x86_64
lato-fonts-2.015-3.fc26.noarch

to:

freetype-2.8-8.fc27.x86_64
lato-fonts-2.015-4.fc27.noarch

Not sure if the problem is in Freetype or the Lato font. Rendering of all fonts on my system changed visibly after upgrading, but Lato in particular changed quite noticeably. However the only problem seems to be with the "ti" ligature in Lato, so I assume it is some wrong/missing hinting data on that ligature. I don't see any problem with other ligatures like "fi".

Screenshot showing the problem is attached.

This is using Lato, size 12, as my GTK UI font in Xorg:

$ xrdb -q | grep Xft
Xft.antialias:	1
Xft.hinting:	1
Xft.hintstyle:	hintslight
Xft.rgba:	rgb
Xft.dpi:	110

Comment 1 Ben Cotton 2018-11-27 16:17:47 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2018-11-30 20:51:37 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.